# ifndef STANDARD_H
# define STANDARD_H 1

# include <stdio.h>
# include <stdlib.h>
# include <string.h>
# include <stdbool.h>

typedef struct
{
  FILE *fp;
  unsigned eoln:1, eof:1, out:1, init:1,:12;
  char buf;
} text;

/*
**	Definitions for standard types
*/

/*
**	Definitions for set-operations
*/
# define  Claimset() 	(void)Currset(0, (setptr)0)
# define  Newset() 	Currset(1, (setptr)0)
# define  Saveset(s) 	Currset(2, s)
# define  setbits 	15
typedef unsigned short setword;
typedef setword *setptr;

/*
**  	Definitions for strings
*/

extern void Getl(text *);

# define Trunc(m)	((int)(m))
# define UpperCase(m)   ((m>='a' && m <='z') ? (m-'a'+'A') : m)
#endif /* !STANDARD_H */
